Subject: Re: bug#6426: 23.2; Crash in x_draw_image_glyph_string (also in 24.0)

From: Chong Yidong <[email-masked]>
Date: Sat, 19 Jun 2010 15:44:19 -0400

Anders Waldenborg <[email-masked]> writes:

> Emacs crashes in x_draw_image_glyph_string when running the script below
> (which creates lots of images and image-refresh calls of said images)
> and forcing X-window exposures (which is easily done by moving the frame
> halfway out of the screen and moving it around there so parts reexposed
> - after 10-20 times or so it crashes here). s->img is NULL. Removing the
> call to image-refresh in the script below makes the crash disappear (but
> instead the pixmap mem used in the X server increases a lot - see bug
> #6230).

Thanks for the bug report.  I have checked a fix into the emacs-23
branch (this fix will eventually propagate into the trunk).